summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-radio/wsjtx/Manifest1
-rw-r--r--media-radio/wsjtx/wsjtx-1.8.0.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/media-radio/wsjtx/Manifest b/media-radio/wsjtx/Manifest
index 2e3becccb16..5c99f55af1e 100644
--- a/media-radio/wsjtx/Manifest
+++ b/media-radio/wsjtx/Manifest
@@ -1,2 +1,3 @@
DIST wsjtx-1.7.0.tgz 21293155 SHA256 e7b3f31dad87b2b9cfb0a39bbba466f7039200541d37bfd181974fd11956a358 SHA512 9d03b7cac598a61967453c97b3e9bcc904378f3a1980537e2b95b48a9daf666eda33c09699269cbd2d135473b41bd485173d514f9bbf957365f986e45606136f WHIRLPOOL 3653d6f7fdbb1cefb7d6363581e3b741d728984bc6e8cb323e1ae51ae4dc1d6afb7a1a7c19f819a3bcae7b6ab88271bcac0896fd5cd42aa7a7d60e18aa7212e9
DIST wsjtx-1.8.0-rc3.tgz 29051408 SHA256 916ede38c5056671fd00355c1a6d36d3098948f264ff59ac86ef08463e42261a SHA512 55d51d0dfd085ece8f856497e677fc31d2a6412a2b8f3e0f4acd22f51cee24cd7717c9836033c0db74d8b850e91aee2f204a9a2961b93424e47f51f8bcf1bf21 WHIRLPOOL bfa3df37d9f762245e63d9a8cb5ae607e9bcb4d87adc2305f757194746534acb9042f5e4886aa09e3b346da21041d31d8f6de3be23e558a70090429575de7ff1
+DIST wsjtx-1.8.0.tgz 29041865 SHA256 21603ad4d5f43cd9c79a6e8cf468bde88c554654012b2c6c1ef9144cfbf668ce SHA512 793e88604661b03e2e6d5a910ea4045f800b9c59174af3286fd8afdaf65d8a3ca7d1aeae557c6afc66d9bbe398be8c7030950dda03d6bc6279061c3a3107beaa WHIRLPOOL f9b6f048bd7596511c0b3339d32c1a45ce74a279e84d94badd2efca65f72bbe54001ab7cae9f861e93a98e339edf82b6cbed08a9212afc9581222cc8cfd9404b
diff --git a/media-radio/wsjtx/wsjtx-1.8.0.ebuild b/media-radio/wsjtx/wsjtx-1.8.0.ebuild
new file mode 100644
index 00000000000..3c7dc85c303
--- /dev/null
+++ b/media-radio/wsjtx/wsjtx-1.8.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit cmake-utils
+
+MY_P=${P/_/-}
+
+DESCRIPTION="Weak signal ham radio communication"
+HOMEPAGE="http://physics.princeton.edu/pulsar/K1JT/wsjtx.html"
+SRC_URI="mirror://sourceforge/wsjt/${MY_P}.tgz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc"
+
+RDEPEND="dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtnetwork
+ dev-qt/qtwidgets
+ dev-qt/qtconcurrent
+ dev-qt/qtserialport
+ virtual/libusb:1
+ media-libs/portaudio
+ sci-libs/fftw:3.0[threads]
+ virtual/fortran
+ app-text/asciidoc
+ doc? ( dev-ruby/asciidoctor )"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_configure() {
+ local mycmakeargs=(
+ -DWSJT_GENERATE_DOCS="$(usex doc)"
+ -DWSJT_DOC_DESTINATION="/doc/${PF}"
+ )
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+}
+
+src_install() {
+ cmake-utils_src_install
+ rm "${D}"/usr/bin/rigctl{,d}-wsjtx || die
+ rm "${D}"/usr/share/man/man1/rigctl{,d}-wsjtx.1.gz || die
+ rm "${D}"/usr/share/doc/WSJT-X -R || die
+
+}